## Electronic Payment Gateway (EPG) - Summary

PS-EPG is used by Himalayan Bank Limited (HBL) as an online interface channel between the bank internal systems and the centrally hosted IPS system for all domestic payments. HBL is able to conduct direct debit transactions as well as domestic interbank credit transfers with the help of PS-EPG. Additionally, it also offer an online access to the main banking system so that transactions can be sent directly to the accounts of HBL bank customers. Moreover, PS-EPG offer a connection to the active Himal Remit (HR) system. The HR system is able to handle remittances to beneficiaries in other banks in the state of Nepal through PS-EPG. Interbank transfers are routed directly through the HR system in order for the transactions to be directly posted to the IPS system. Last but not least, PS-EPG handles the necessary Inward and Outward payment processing.  

The system is divided into three major components: 

1. Core Banking System Online Integration: It is in charge of managing payments initiated by HBL users and transferring information about initiated transactions to the core banking system so that the transaction amount can be posted on the appropriate customer account.

2. NNCHL-IPS Integration and Reconciliation: It is in charge of conducting payments reconciliation at the conclusion of each clearing session in addition to transmitting outgoing and incoming payments to and from the NCHL-IPS system.

3. Payment Gateway: Via this system, HBL is able to interface its internal payment systems with NCHL-IPS by handling payments in a variety of forms, providing a process for those payments, and posting the completed transactions to both the NCHL-IPS and core banking systems.

### The application is run in a Windows server 2008 r2 standard OS with Microsoft SQL Server Enterprise Edition.

## Manual Outward Credit:

Below is the summary of the workflow of the **manual outward credit** processing: 

1. First, a new batch is created where transaction information is manually inserted by the Maker.
2. After the submission of the newly made batch is completed, it is checked by the Checker (usually Supervisors or Bank Managers).
3. The batch is then prepared with posting information in the Backend before sending it to CBS.
4. The CBS process the batch and sends a reply.
5. If the CBS reply is failed then the batch is sent to the Maker to check the failed transaction and process them accordingly. If the CBS reply is successful it will generate ISO-20022 Credit Message which is submitted to IPS.
6. Then the IPS processing is carried out by IPS which sends a IPS Reply to the backend.
7. The batch is then updated along with transaction status if IPS Reply output is "Accepted". If IPS Reply out is "Rejected", the batch is returnd to CBS.

***Note - CBS: Core Banking System, IPS: Interbank Payment System, Maker, EPG = Maker, Checker and Backend***

## Manual Outward Debit:

Below is the summary of the workflow of the **manual outward debit** processing: 

1. First, a new batch is created where transaction information is manually inserted by the Maker including Mandate Integration.
2. After the submission of the newly made batch is completed, it is checked by the Checker.
3. The batch is then processed in the backend and a ISO-20022 Credit Message is generated by the backend after it is approved. 
4. Then the batch is submited to IPS. 
5. If the IPS Reply is "Rejected" then the batch is updated along with transaction status stating the reason for its rejection in the backend. If the IPS Reply is "Accepted" then the batch is sent to CBS for further processing. 
6. If the CBS Reply is "Failed" the batch updated and sent to the Maker for its correction. If the CBS Reply is "Accepted" then the transaction is updated and posted successfully to CBS.

***Note- Mandates are pre authorizations that allow the debtor (the bank's customer) to debit the account of the receiver in the outward direct debits. Mandates are defined in the IPS system, and to allow HBL to access the mandates information, the system shall integrate with IPS and fetch mandates defined for HBL. Direct debit transactions can be created only for valid and due mandate payments.***